# Indikator für Abfallabholtermine

## Idee
Das Gerät soll am Vorabend (ab 18:00 Uhr) anzeigen, welche Abfallarten am nächsten Tag abgeholt werden. Die Anzeige erfolgt über eine RGB-LED.

* Keine Abholung: minütliches blinken in **WEIß** (0xffffff / 0x000000)  
  (Daran erkennt man, dass das Gerät noch läuft.)
* Restmüll:  <span style="color:red">**ROT**</span> (0xff0000)
* Papier: <span style="color:blue">**BLAU**</span> (0x0000ff)
* Gelber Sack: <span style="color:yellow">**GELB**</span> (0xffff00)
* Bio: <span style="color:green">**GRÜN**</span> (0x00ff00)
* Problemstoffmobil: <span style="color:cyan">**CYAN**</span> (0x00ffff)

Dabei verbindet sich das Gerät nach dem Start mit dem (Gäste-) WLAN, synchronisiert über NTP die Zeit und lädt eine CSV-Datei mit den Abholterminen herunter. Nun wird die WLAN-Verbindung beendet und über eine LED werden wie oben beschrieben die Abholtermine angezeigt.

Da unsere Gemeinde bzw. die entsprechende Firma offiziell leider keine API zur Abfrage der Termine anbietet, wird diese Information derzeit manuell als CSV-Datei heruntergeladen und auf den eigenen Webserver gelegt.

Und so sieht es aus:

![](/images/abfall.jpg)

## Hardware

Folgende Komponenten werden verwendet:

|Art|Beschreibung|
|---|---|
|Mikrokontroller|Raspberry Pi Pico W|
|Anzeigeindikator|RGB-LED, 8 mm (WS2812)|
|Stromversorgung|3x AA (oder Netzteil)|
|Sockel|Enthält die Elektronik, 3D-Druck|
|Mülleimer|[Modell](https://www.thingiverse.com/thing:4921276) aus dem Thingiverse, 3D-Druck|

## Sockelgehäuse

Das Sockelgehäuse soll den Mikrocontroller aufnehmen sowie die LED einfassen. Die LED schaut dabei oben aus dem Gehäuse. Wenn das Mülleimermodell darübergestülpt wird, wird der Müllerimer(deckel) somit beleuchtet.

Im FreeCAD-Verzeichnis sind die entsprechenden Dateien enthalten.

![](images/sockel_unten.png)
![](images/sockel_oben.png)

## Software

Die Firmware ist in C++ implementiert und verwendet das PICO-SDK.